Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface WorkSubstituteRuleType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface WorkSubstituteRuleType

extends XmlObject

An XML WorkSubstituteRuleType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `WorkSubstituteRuleType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`Calendar` | `getEffectiveDate()` Gets the "effectiveDate" element
`Calendar` | `getExpiryDate()` Gets the "expiryDate" element
`String` | `getSource()` Gets the "source" element
`String` | `getTarget()` Gets the "target" element
`String` | `getWorkSubstituteRuleId()` Gets the "workSubstituteRuleId" element
`void` | `setEffectiveDate(Calendar effectiveDate)` Sets the "effectiveDate" element
`void` | `setExpiryDate(Calendar expiryDate)` Sets the "expiryDate" element
`void` | `setSource(String source)` Sets the "source" element
`void` | `setTarget(String target)` Sets the "target" element
`void` | `setWorkSubstituteRuleId(String workSubstituteRuleId)` Sets the "workSubstituteRuleId" element
`XmlDateTime` | `xgetEffectiveDate()` Gets (as xml) the "effectiveDate" element
`XmlDateTime` | `xgetExpiryDate()` Gets (as xml) the "expiryDate" element
`XmlString` | `xgetSource()` Gets (as xml) the "source" element
`XmlString` | `xgetTarget()` Gets (as xml) the "target" element
`XmlString` | `xgetWorkSubstituteRuleId()` Gets (as xml) the "workSubstituteRuleId" element
`void` | `xsetEffectiveDate(XmlDateTime effectiveDate)` Sets (as xml) the "effectiveDate" element
`void` | `xsetExpiryDate(XmlDateTime expiryDate)` Sets (as xml) the "expiryDate" element
`void` | `xsetSource(XmlString source)` Sets (as xml) the "source" element
`void` | `xsetTarget(XmlString target)` Sets (as xml) the "target" element
`void` | `xsetWorkSubstituteRuleId(XmlString workSubstituteRuleId)` Sets (as xml) the "workSubstituteRuleId" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getWorkSubstituteRuleId

    String getWorkSubstituteRuleId()

  Gets the "workSubstituteRuleId" element

### xgetWorkSubstituteRuleId

    XmlString xgetWorkSubstituteRuleId()

  Gets (as xml) the "workSubstituteRuleId" element

### setWorkSubstituteRuleId

    void setWorkSubstituteRuleId(String workSubstituteRuleId)

  Sets the "workSubstituteRuleId" element

### xsetWorkSubstituteRuleId

    void xsetWorkSubstituteRuleId(XmlString workSubstituteRuleId)

  Sets (as xml) the "workSubstituteRuleId" element

### getEffectiveDate

    Calendar getEffectiveDate()

  Gets the "effectiveDate" element

### xgetEffectiveDate

    XmlDateTime xgetEffectiveDate()

  Gets (as xml) the "effectiveDate" element

### setEffectiveDate

    void setEffectiveDate(Calendar effectiveDate)

  Sets the "effectiveDate" element

### xsetEffectiveDate

    void xsetEffectiveDate(XmlDateTime effectiveDate)

  Sets (as xml) the "effectiveDate" element

### getExpiryDate

    Calendar getExpiryDate()

  Gets the "expiryDate" element

### xgetExpiryDate

    XmlDateTime xgetExpiryDate()

  Gets (as xml) the "expiryDate" element

### setExpiryDate

    void setExpiryDate(Calendar expiryDate)

  Sets the "expiryDate" element

### xsetExpiryDate

    void xsetExpiryDate(XmlDateTime expiryDate)

  Sets (as xml) the "expiryDate" element

### getSource

    String getSource()

  Gets the "source" element

### xgetSource

    XmlString xgetSource()

  Gets (as xml) the "source" element

### setSource

    void setSource(String source)

  Sets the "source" element

### xsetSource

    void xsetSource(XmlString source)

  Sets (as xml) the "source" element

### getTarget

    String getTarget()

  Gets the "target" element

### xgetTarget

    XmlString xgetTarget()

  Gets (as xml) the "target" element

### setTarget

    void setTarget(String target)

  Sets the "target" element

### xsetTarget

    void xsetTarget(XmlString target)

  Sets (as xml) the "target" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD